subroutine sub_loadfiles

	use mod_globvar

	implicit none

	integer :: is, ig, im, iy, ib
	
	!Mortgage prices

	open(unit=11,	file='Input\qm0.txt')
	do is = 1, ns
		do ig = 1, ng
			do ib = 1, nb
				read (11, *) (qm0(im,ib,ig,is), im = 1,nm)
			enddo
		enddo
	enddo
	close(11)
	
	!Value and policy functions and steady-state distributions with state variables (y,m,g,s)
	
	open(unit=11,	file='Input\Vown_f0.txt')
	do is = 1, ns
		do ig = 1, ng
			do iy = 1, ny
				read (11, *) (Vown_f0(iy,im,ig,is), im = 1,nm)
			enddo
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Input\mu1own_f0.txt')
	do is = 1, ns
		do ig = 1, ng
			do iy = 1, ny
				read (11, *) (mu1own_f0(iy,im,ig,is), im = 1,nm)
			enddo
		enddo
	enddo
	close(11)
	
	!Value and policy functions and steady-state distributions with state variables (y,g,s)
	
	open(unit=11,	file='Input\Vown_f1.txt')
	do is = 1, ns
		do iy = 1, ny
			read (11, *) (Vown_f1(iy,ig,is), ig = 1,ng)
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Input\mu1own_f1.txt')
	do is = 1, ns
		do iy = 1, ny
			read (11, *) (mu1own_f1(iy,ig,is), ig = 1,ng)
		enddo
	enddo
	close(11)
	
	!Value and policy functions and steady-state distributions with state variables (y,s)
	
	open(unit=11,	file='Input\Vrent_f0.txt')
		do iy = 1, ny
			read (11, *) (Vrent_f0(iy,is), is = 1,ns)
		enddo
	close(11)
	
	open(unit=11,	file='Input\Vrent_f1.txt')
		do iy = 1, ny
			read (11, *) (Vrent_f1(iy,is), is = 1,ns)
		enddo
	close(11)
	
	open(unit=11,	file='Input\mu1rent_f0.txt')
		do iy = 1, ny
			read (11, *) (mu1rent_f0(iy,is), is = 1,ns)
		enddo
	close(11)
	
	open(unit=11,	file='Input\mu1rent_f1.txt')
		do iy = 1, ny
			read (11, *) (mu1rent_f1(iy,is), is = 1,ns)
		enddo
	close(11)

end subroutine sub_loadfiles