subroutine sub_print_input

	use mod_globvar

	implicit none

	integer :: is, ig, index
	
	!Print files
		
	!Market prices
	open(unit=11,	file='Input\initialguess.txt', status = 'replace')
	write (11, '(1f20.10)') kc
	write (11, '(1f20.10)') ph
	close(11)
	
	!Mortgage prices
	
	open(unit=11,	file='Input\qm0.txt', status = 'replace')
	do is = 1, ns
		do ig = 1, ng
			write (11, '(45f15.12)') (qm0(:,index,ig,is), index = 1,nb)
		enddo
	enddo
	close(11)
	
	!Stock of REO housing
	
	open(unit=11,	file='Input\htot_reo.txt', status = 'replace')
	write (11, '(1f12.8)') (htot_reo(index), index = 1,nh)
	close(11)
	
	!Value and policy functions and steady-state distributions with state variables (y,m,g,s)
	
	open(unit=11,	file='Input\Vown_f0.txt', status = 'replace')
	do is = 1, ns
		do ig = 1, ng
			write (11, '(45f20.10)') (Vown_f0(index,:,ig,is), index = 1,ny)
		enddo
	enddo
	close(11)
	
	open(unit=11,	file='Input\mu1own_f0.txt', status = 'replace')
	do is = 1, ns
		do ig = 1, ng
			write (11, '(45f15.12)') (mu1own_f0(index,:,ig,is), index = 1,ny)
		enddo
	enddo
	close(11)
	
	!Value and policy functions and steady-state distributions with state variables (y,g,s)
	
	open(unit=11,	file='Input\Vown_f1.txt', status = 'replace')
	do is = 1, ns
		write (11, '(3f20.10)') (Vown_f1(index,:,is), index = 1,ny)
	enddo
	close(11)
	
	open(unit=11,	file='Input\mu1own_f1.txt', status = 'replace')
	do is = 1, ns
		write (11, '(3f15.12)') (mu1own_f1(index,:,is), index = 1,ny)
	enddo
	close(11)
	
	!Value and policy functions and steady-state distributions with state variables (y,s)
	
	open(unit=11,	file='Input\Vrent_f0.txt', status = 'replace')
	write (11, '(3f20.10)') (Vrent_f0(index,:), index = 1,ny)
	close(11)
	
	open(unit=11,	file='Input\Vrent_f1.txt', status = 'replace')
	write (11, '(3f20.10)') (Vrent_f1(index,:), index = 1,ny)
	close(11)
	
	open(unit=11,	file='Input\mu1rent_f0.txt', status = 'replace')
	write (11, '(3f15.12)') (mu1rent_f0(index,:), index = 1,ny)
	close(11)
	
	open(unit=11,	file='Input\mu1rent_f1.txt', status = 'replace')
	write (11, '(3f15.12)') (mu1rent_f1(index,:), index = 1,ny)
	close(11)

end subroutine sub_print_input