function pmatchsell(xval) result(matchprob)

	use mod_globvar

	implicit none

	!This program computes the match probabilities at each submarket

	real(8) :: xval, matchprob

	if (matchfunction == 1) then
		!Cobb Douglas matching function
		matchprob = (1.d0 - xval)**(curv_ms/(1 - curv_ms))
	else
		!CES matching function
		matchprob = min(1.d0,(((1 - min_xs - xval*(max_xs - min_xs))/(1 - max_xs))**curv_ms - 1)**(1/curv_ms)*(1 - min_xs)*(1 - max_xs)/(((1 - min_xs)**curv_ms - (1 - max_xs)**curv_ms)**(1/curv_ms)*(1 - min_xs - xval*(max_xs - min_xs))))
	endif

end function pmatchsell