function xs(xval,hval,phval) result(transfer)

	use mod_globvar

	implicit none

	!This program computes the match probabilities at each submarket

	real(8) :: xval, hval, phval, transfer
	
	if (matchfunction == 1) then
		!Cobb Douglas matching function
!		transfer = (1.d0 - (1 - min_xs)*(1.d0 - xval))*phval*hval		!(entry cost proportional to shadow house value)
		transfer = (phval - phbase*(1 - min_xs)*(1.d0 - xval))*hval		!(entry cost proportional to house size)
	else
		!CES matching function
		transfer = (phval - phbase*(1 - min_xs) + phbase*xval*(max_xs - min_xs))*hval		!entry cost proportional to house size
	endif

end function xs