%Load files and initialize
load d_f0.txt
load mm.txt
load yy.txt
load hh.txt

ny = length(yy);
nm = length(mm);
nh = length(hh);
ns = 3; %= length(d_f0)/(ny*nm*nh)

d_f0 = reshape(d_f0,ny,nm,nh,ns);

% Create figure
figure1 = figure;
%Position
set(gcf,'position',[200 200 625 575]);

%Bounds
im0 = 29;
im1 = nm;
iy0 = 51;
iy1 = 101;

% Create axes
axes1 = axes('Parent',figure1,'Layer','top');
%xlim([0.7 1.2]);
%ylim([0 0.5]);
box('on');
hold('all');
% Create contour
contour(mm(im0:im1),yy(iy0:iy1),d_f0(iy0:iy1,im0:im1,3,3),'LineWidth',3,'LevelList',0.5,'Parent',axes1,'LineColor',[0 0.447058823529412 0.741176470588235]);
% Create xlabel
xlabel('Leverage');
% Create ylabel
ylabel('Cash at Hand');