function xb(xval,hval,phval) result(transfer)

	use mod_globvar

	implicit none

	!This program computes the match probabilities at each submarket

	real(8) :: xval, hval, phval, transfer
	
	if (matchfunction == 1) then
		!Cobb Douglas matching function
		transfer = (1.0 + xval*(max_xb - 1.0))*phval*hval   !(entry cost proportional to shadow house value)
	else
		!CES matching function
		transfer = (min_xb + xval*(max_xb - min_xb))*phval*hval
	endif

end function xb