function xs(xval,hval,phval) result(transfer)

	use mod_globvar

	implicit none

	!This program computes the match probabilities at each submarket

	real(8) :: xval, hval, phval, transfer
	
	if (matchfunction == 1) then
		!Cobb Douglas matching function
		transfer = (min_xs + xval*(1.0 - min_xs))*phval*hval   !(entry cost proportional to shadow house value)
	else
		!CES matching function
		transfer = (min_xs + xval*(max_xs - min_xs))*phval*hval
	endif

end function xs