function normcdf(zval) result(normprob)

	implicit none

	!******* input/output variables *******
	real(8), intent(in) :: zval
	real(8) :: zmod, normprob

	!******* compute normprob *******
	zmod     = zval/(2.0**0.5)
	normprob = 0.5*(1.0 + derf(zmod))

end function normcdf