function pmatchbuy(xval) result(matchprob)

	use mod_globvar

	implicit none

	!This program computes the match probabilities at each submarket

	real(8) :: xval, matchprob

	if (matchfunction == 1) then
		!Cobb Douglas matching function
		matchprob = xval**(curv_mb/(1 - curv_mb))
	else
		!CES matching function
		matchprob = min(1.d0,(((min_xb - 1 + xval*(max_xb - min_xb))/(min_xb - 1))**curv_mb - 1)**(1/curv_mb)*(max_xb - 1)*(min_xb - 1)/(((max_xb - 1)**curv_mb - (min_xb - 1)**curv_mb)**(1/curv_mb)*(min_xb - 1 + xval*(max_xb - min_xb))))
	ENDIF

end function pmatchbuy