subroutine sub_print_readable

	use mod_globvar

	implicit none

	integer :: iz, izprime, iagg, is, ig, index
	
	!Print files
	
	!Grids
	
	open(unit=11,	file='Output\yy.txt', status = 'replace')
	write (11, '(1f20.10)') (yy(index), index = 1,ny)
	close(11)
	
	open(unit=11,	file='Output\bb.txt', status = 'replace')
	write (11, '(1f20.10)') (bb(index), index = 1,nb)
	close(11)
	
	open(unit=11,	file='Output\mm.txt', status = 'replace')
	write (11, '(1f20.10)') (mm(index), index = 1,nm)
	close(11)
	
	open(unit=11,	file='Output\hh.txt', status = 'replace')
	write (11, '(1f20.10)') (hh(index), index = 1,nh)
	close(11)
	
	open(unit=11,	file='Output\xx.txt', status = 'replace')
	write (11, '(1f20.10)') (xx(index), index = 1,nx)
	close(11)
	
	!Forecasting coefficients
	open(unit=11,	file='Output\forecast_coeff.txt', status = 'replace')
	write (11, '(a24)'), 'Coefficients for phprime'
	do iz = 1, nz
		do izprime = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a12, i1)'), 'iz = ', iz, ', izprime = ', izprime
			write (11, '(a1)'), ' '
			write (11, '(3f20.10)') forecast_coeff(1,:,iz,izprime)
		enddo
	enddo
	write (11, '(a1)'), ' '
	write (11, '(a23)'), 'Coefficients for Kprime'
	do iz = 1, nz
		do izprime = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a12, i1)'), 'iz = ', iz, ', izprime = ', izprime
			write (11, '(a1)'), ' '
			write (11, '(3f20.10)') forecast_coeff(2,:,iz,izprime)
		enddo
	enddo
	write (11, '(a1)'), ' '
	write (11, '(a25)'), 'Coefficients for taxprime'
	do iz = 1, nz
		do izprime = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a12, i1)'), 'iz = ', iz, ', izprime = ', izprime
			write (11, '(a1)'), ' '
			write (11, '(3f20.10)') forecast_coeff(3,:,iz,izprime)
		enddo
	enddo
	close(11)
	
	!Mortgage prices	
	open(unit=11,	file='Output\qm0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					write (11, '(a1)'), ' '
					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
					write (11, '(a1)'), ' '
					write (11, '(100f10.6)') (qm0(index,1:100,ig,is,iz,iagg), index = 1,nm)
				enddo
			enddo
		enddo
	enddo	        
	close(11)
	
	!Stock of REO housing
	open(unit=11,	file='htot_reo.txt', status = 'replace')
	write (11, '(1f12.8)') (htot_reo(index), index = 1,nh)
	close(11)
	
	!Value and policy functions with state variables (y,m,g,s)
	
!	open(unit=11,	file='Output\Vown_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				do ig = 1, ng
!					write (11, '(a1)'), ' '
!					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
!					write (11, '(a1)'), ' '
!					write (11, '(55f15.6)') (Vown_f0(index,:,ig,is,iz,iagg), index = 1,ny)
!				enddo
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\m_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				do ig = 1, ng
!					write (11, '(a1)'), ' '
!					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
!					write (11, '(a1)'), ' '
!					write (11, '(55f15.6)') (m_f0(index,:,ig,is,iz,iagg), index = 1,ny)
!				enddo
!			enddo
!		enddo
!	enddo
!	close(11)
	
	open(unit=11,	file='Output\leverage_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					write (11, '(a1)'), ' '
					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
					write (11, '(a1)'), ' '
					write (11, '(55f15.6)') (m_f0(index,:,ig,is,iz,iagg)/ph(iagg), index = 1,ny)
				enddo
			enddo
		enddo
	enddo	        
	close(11)
	
!	open(unit=11,	file='Output\bown_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				do ig = 1, ng
!					write (11, '(a1)'), ' '
!					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
!					write (11, '(a1)'), ' '
!					write (11, '(55f15.6)') (bown_f0(index,:,ig,is,iz,iagg), index = 1,ny)
!				enddo
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\cown_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				do ig = 1, ng
!					write (11, '(a1)'), ' '
!					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
!					write (11, '(a1)'), ' '
!					write (11, '(55f15.6)') (cown_f0(index,:,ig,is,iz,iagg), index = 1,ny)
!				enddo
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\hcown_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				do ig = 1, ng
!					write (11, '(a1)'), ' '
!					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
!					write (11, '(a1)'), ' '
!					write (11, '(55f15.6)') (hcown_f0(index,:,ig,is,iz,iagg), index = 1,ny)
!				enddo
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\spendown_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				do ig = 1, ng
!					write (11, '(a1)'), ' '
!					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
!					write (11, '(a1)'), ' '
!					write (11, '(55f15.6)') (spendown_f0(index,:,ig,is,iz,iagg), index = 1,ny)
!				enddo
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
	open(unit=11,	file='Output\Wown_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					write (11, '(a1)'), ' '
					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
					write (11, '(a1)'), ' '
					write (11, '(55f15.6)') (Wown_f0(index,:,ig,is,iz,iagg), index = 1,ny)
				enddo
			enddo
		enddo
	enddo	        
	close(11)
	
	open(unit=11,	file='Output\d_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					write (11, '(a1)'), ' '
					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
					write (11, '(a1)'), ' '
					write (11, '(55f15.6)') (d_f0(index,:,ig,is,iz,iagg), index = 1,ny)
				enddo
			enddo
		enddo
	enddo	        
	close(11)
	
!	open(unit=11,	file='Output\Rs_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				do ig = 1, ng
!					write (11, '(a1)'), ' '
!					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
!					write (11, '(a1)'), ' '
!					write (11, '(55f15.6)') (Rs_f0(index,:,ig,is,iz,iagg), index = 1,ny)
!				enddo
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\xs_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				do ig = 1, ng
!					write (11, '(a1)'), ' '
!					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
!					write (11, '(a1)'), ' '
!					write (11, '(55f15.6)') (xs_f0(index,:,ig,is,iz,iagg), index = 1,ny)
!				enddo
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
	open(unit=11,	file='Output\xsratio_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					write (11, '(a1)'), ' '
					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
					write (11, '(a1)'), ' '
					write (11, '(55f15.6)') (xsratio_f0(index,:,ig,is,iz,iagg), index = 1,ny)
				enddo
			enddo
		enddo
	enddo	        
	close(11)
	
	open(unit=11,	file='Output\psell_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				do ig = 1, ng
					write (11, '(a1)'), ' '
					write (11, '(a5, i2, a7, i1, a7, i1, a9, i2)'), 'ig = ', ig, ', is = ', is, ', iz = ', iz, ', iagg = ', iagg
					write (11, '(a1)'), ' '
					write (11, '(55f15.6)') (psell_f0(index,:,ig,is,iz,iagg), index = 1,ny)
				enddo
			enddo
		enddo
	enddo	        
	close(11)
	
	open(unit=11,	file='Output\mu1own_f0.txt', status = 'replace')
	do is = 1, ns
		do ig = 1, ng
			write (11, '(a1)'), ' '
			write (11, '(a5, i2, a7, i1)'), 'ig = ', ig, ', is = ', is
			write (11, '(a1)'), ' '
			write (11, '(55f10.6)') (mu1own_f0(index,:,ig,is), index = 1,ny)
		enddo
	enddo
	close(11)
	
	!Value and policy functions with state variables (y,g,s)
	
!	open(unit=11,	file='Output\Vown_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				write (11, '(a1)'), ' '
!				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
!				write (11, '(a1)'), ' '
!				write (11, '(3f15.6)') (Vown_f1(index,:,is,iz,iagg), index = 1,ny)
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\bown_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				write (11, '(a1)'), ' '
!				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
!				write (11, '(a1)'), ' '
!				write (11, '(3f15.6)') (bown_f1(index,:,is,iz,iagg), index = 1,ny)
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\cown_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				write (11, '(a1)'), ' '
!				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
!				write (11, '(a1)'), ' '
!				write (11, '(3f15.6)') (cown_f1(index,:,is,iz,iagg), index = 1,ny)
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\hcown_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				write (11, '(a1)'), ' '
!				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
!				write (11, '(a1)'), ' '
!				write (11, '(3f15.6)') (hcown_f1(index,:,is,iz,iagg), index = 1,ny)
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\spendown_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				write (11, '(a1)'), ' '
!				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
!				write (11, '(a1)'), ' '
!				write (11, '(3f15.6)') (spendown_f1(index,:,is,iz,iagg), index = 1,ny)
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\Wown_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				write (11, '(a1)'), ' '
!				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
!	            write (11, '(a1)'), ' '
!				write (11, '(3f15.6)') (Wown_f1(index,:,is,iz,iagg), index = 1,ny)
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\xs_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			do is = 1, ns
!				write (11, '(a1)'), ' '
!				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
!				write (11, '(a1)'), ' '
!				write (11, '(3f15.6)') (xs_f1(index,:,is,iz,iagg), index = 1,ny)
!			enddo
!		enddo
!	enddo	        
!	close(11)
	
	open(unit=11,	file='Output\xsratio_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				write (11, '(a1)'), ' '
				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
				write (11, '(a1)'), ' '
				write (11, '(3f15.6)') (xsratio_f1(index,:,is,iz,iagg), index = 1,ny)
			enddo
		enddo
	enddo	        
	close(11)
	
	open(unit=11,	file='Output\psell_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			do is = 1, ns
				write (11, '(a1)'), ' '
				write (11, '(a5, i2, a7, i1, a9, i2)'), 'is = ', is, ', iz = ', iz, ', iagg = ', iagg
				write (11, '(a1)'), ' '
				write (11, '(3f15.6)') (psell_f1(index,:,is,iz,iagg), index = 1,ny)
			enddo
		enddo
	enddo	        
	close(11)
	
	open(unit=11,	file='Output\mu1own_f1.txt', status = 'replace')
	do is = 1, ns
		write (11, '(a1)'), ' '
		write (11, '(a5, i2)'), 'is = ', is
		write (11, '(a1)'), ' '
		write (11, '(3f10.6)') (mu1own_f1(index,:,is), index = 1,ny)
	enddo
	close(11)
	
	!Value and policy functions with state variables (y,s)
	
!	open(unit=11,	file='Output\Vrent_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (Vrent_f0(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\brent_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (brent_f0(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\crent_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (crent_f0(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\hcrent_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (hcrent_f0(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\spendrent_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (spendrent_f0(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\Vrent_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (Vrent_f1(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\brent_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (brent_f1(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\crent_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (crent_f1(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\hcrent_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (hcrent_f1(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\spendrent_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (spendrent_f1(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
!	open(unit=11,	file='Output\Wrent_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (Wrent_f0(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
	open(unit=11,	file='Output\h_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
			write (11, '(a1)'), ' '
			write (11, '(3f15.6)') (h_f0(index,:,iz,iagg), index = 1,ny)
		enddo
	enddo	        
	close(11)
	
!	open(unit=11,	file='Output\xb_f0.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (xb_f0(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
	open(unit=11,	file='Output\xbratio_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
			write (11, '(a1)'), ' '
			write (11, '(3f15.6)') (xbratio_f0(index,:,iz,iagg), index = 1,ny)
		enddo
	enddo	        
	close(11)
	
	open(unit=11,	file='Output\pbuy_f0.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
			write (11, '(a1)'), ' '
			write (11, '(3f15.6)') (pbuy_f0(index,:,iz,iagg), index = 1,ny)
		enddo
	enddo	        
	close(11)
	
!	open(unit=11,	file='Output\Wrent_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (Wrent_f1(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
	open(unit=11,	file='Output\h_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
			write (11, '(a1)'), ' '
			write (11, '(3f15.6)') (h_f1(index,:,iz,iagg), index = 1,ny)
		enddo
	enddo	        
	close(11)
	
!	open(unit=11,	file='Output\xb_f1.txt', status = 'replace')
!	do iagg = 1, nagg
!		do iz = 1, nz
!			write (11, '(a1)'), ' '
!			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
!			write (11, '(a1)'), ' '
!			write (11, '(3f15.6)') (xb_f1(index,:,iz,iagg), index = 1,ny)
!		enddo
!	enddo	        
!	close(11)
	
	open(unit=11,	file='Output\xbratio_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
			write (11, '(a1)'), ' '
			write (11, '(3f15.6)') (xbratio_f1(index,:,iz,iagg), index = 1,ny)
		enddo
	enddo	        
	close(11)
	
	open(unit=11,	file='Output\pbuy_f1.txt', status = 'replace')
	do iagg = 1, nagg
		do iz = 1, nz
			write (11, '(a1)'), ' '
			write (11, '(a5, i1, a9, i2)'), 'iz = ', iz, ', iagg = ', iagg
			write (11, '(a1)'), ' '
			write (11, '(3f15.6)') (pbuy_f1(index,:,iz,iagg), index = 1,ny)
		enddo
	enddo	        
	close(11)
	
	open(unit=11,	file='Output\mu1rent_f0.txt', status = 'replace')
	write (11, '(3f10.6)') (mu1rent_f0(index,:), index = 1,ny)
	close(11)
	
	open(unit=11,	file='Output\mu1rent_f1.txt', status = 'replace')
	write (11, '(3f10.6)') (mu1rent_f1(index,:), index = 1,ny)
	close(11)

end subroutine sub_print_readable