function xb(xval,hval,phval) result(transfer)

	use mod_globvar

	implicit none

	!This program computes the match probabilities at each submarket

	real(8) :: xval, hval, phval, transfer

	if (matchfunction == 1) then
		!Cobb Douglas matching function
!		transfer = (1.d0 + xval*(max_xb - 1))*phval*hval		!(entry cost proportional to shadow house value)
		transfer = (phval + xval*phbase*(max_xb - 1))*hval		!(entry cost proportional to house size)
	else
		!CES matching function
		transfer = (phval + phbase*(min_xb - 1) + xval*phbase*(max_xb - min_xb))*hval
	endif

end function xb